Package com.pixelmed.display.event

# Class BrowserPaneChangeEvent

java.lang.Object
com.pixelmed.event.Event
com.pixelmed.display.event.BrowserPaneChangeEvent

public class BrowserPaneChangeEvent extends Event

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DATABASE`
`static final int`
`DICOMDIR`
`static final int`
`IMAGE`
`static final int`
`SPECTROSCOPY`
`static final int`
`SR`
`static final int`
`TILEDIMAGE`

## Constructor Summary

Constructors
Constructor
Description
`BrowserPaneChangeEvent(EventContext eventContext, int browserPaneType)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`

### Methods inherited from class com.pixelmed.event.Event

`getEventContext`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IMAGE

public static final int IMAGE

See Also:
  - Constant Field Values

### DICOMDIR

public static final int DICOMDIR

See Also:
  - Constant Field Values

### DATABASE

public static final int DATABASE

See Also:
  - Constant Field Values

### SPECTROSCOPY

public static final int SPECTROSCOPY

See Also:
  - Constant Field Values

### SR

public static final int SR

See Also:
  - Constant Field Values

### TILEDIMAGE

public static final int TILEDIMAGE

See Also:
  - Constant Field Values

## Constructor Details

### BrowserPaneChangeEvent

public BrowserPaneChangeEvent(EventContext eventContext, int browserPaneType)

Parameters:
  `eventContext` -
  `browserPaneType` -

## Method Details

### getType

public int getType()